
$borSnipeHudAdded = 0;

package borSnipePing {

function clientCmdSetWeaponsHudActive(%slot)
{
	switch$($WeaponNames[%slot])
	{
		case "SniperRifle":
			if(!$borSnipeHudAdded)
			{
				playGui.add($borSnipeHud);
				$borSnipeHudAdded = 1;
			}
			circleHud.setVisible(true);
		default:
			circleHud.setVisible(false);
	}
	parent::clientCmdSetWeaponsHudActive(%slot);
}

function NetBarHud::infoUpdate(%this, %ping, %packetLoss, %sendPackets, %sendBytes, %receivePackets, %receiveBytes)
{
	parent::infoUpdate(%this, %ping, %packetLoss, %sendPackets, %sendBytes, %receivePackets, %receiveBytes);

	$borPing = trim(mFloor(%ping));

	%circle = mFloor(($borPing-10)/20);
	if(%circle <= 0) %circle = "00";
	if(%circle <= 9) %circle = "0" @ %circle;
	if(%circle > 11) %circle = "11";
	
	if(isObject(circleHud))
		circleHud.setBitmap("circle/circle" @ %circle);
}

};
activatePackage(borSnipePing);

$borSnipeHud = new HudCrosshair(circleHud) {
	profile = "GuiButtonProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "112 112";
	extent = "32 32";
	minExtent = "8 8";
	visible = "0";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	fillColor = "0.250000 0.250000 0.250000 0.250000";
	frameColor = "0.000000 1.000000 0.000000 1.000000";
	opacity = "0.5";
	bitmap = "circle/circle00";
	autoCenter = "1";
	autoResize = "1";
	flipVertical = "0";
	flipHorizontal = "0";
};
